--- old/usr/src/uts/intel/Makefile.files	Wed Oct  5 00:34:00 2016
+++ new/usr/src/uts/intel/Makefile.files	Wed Oct  5 00:34:00 2016
@@ -207,54 +207,38 @@
 #
 #	misc. modules
 #
-ACPICA_OBJS	+= \
-		   dmbuffer.o dmcstyle.o dmdeferred.o dmnames.o dmopcode.o \
-		   dmresrc.o dmresrcl.o dmresrcl2.o dmresrcs.o dmutils.o \
-		   dmwalk.o \
-		   \
-		   dsargs.o dscontrol.o dsdebug.o dsfield.o dsinit.o \
-		   dsmethod.o dsmthdat.o dsobject.o dsopcode.o dsutils.o \
-		   dswexec.o dswload.o dswload2.o dswscope.o dswstate.o \
-		   \
-		   evevent.o evglock.o evgpe.o evgpeblk.o evgpeinit.o \
-		   evgpeutil.o evhandler.o evmisc.o evregion.o evrgnini.o \
-		   evsci.o evxface.o evxfevnt.o evxfgpe.o evxfregn.o \
-		   \
-		   exconcat.o exconfig.o exconvrt.o excreate.o exdebug.o \
-		   exdump.o exfield.o exfldio.o exmisc.o exmutex.o exnames.o \
-		   exoparg1.o exoparg2.o exoparg3.o exoparg6.o exprep.o \
-		   exregion.o exresnte.o exresolv.o exresop.o exstore.o \
-		   exstoren.o exstorob.o exsystem.o extrace.o exutils.o \
-		   \
-		   hwacpi.o hwesleep.o hwgpe.o hwpci.o hwregs.o hwsleep.o \
-		   hwtimer.o hwvalid.o hwxface.o hwxfsleep.o \
-		   \
-		   psargs.o psloop.o psobject.o psopcode.o psopinfo.o \
-		   psparse.o psscope.o pstree.o psutils.o pswalk.o psxface.o \
-		   \
-		   nsaccess.o nsalloc.o nsarguments.o nsconvert.o nsdump.o \
-		   nsdumpdv.o nseval.o nsinit.o nsload.o nsnames.o nsobject.o \
-		   nsparse.o nspredef.o nsprepkg.o nsrepair.o nsrepair2.o \
-		   nssearch.o nsutils.o nswalk.o nsxfeval.o nsxfname.o \
-		   nsxfobj.o \
-		   \
-		   rsaddr.o rscalc.o rscreate.o rsdump.o rsdumpinfo.o \
+ACPICA_OBJS	+= dbcmds.o dbdisply.o \
+		   dbexec.o dbfileio.o dbhistry.o dbinput.o dbstats.o \
+		   dbutils.o dbxface.o evevent.o evgpe.o evgpeblk.o \
+		   evmisc.o evregion.o evrgnini.o evsci.o evxface.o \
+		   evxfevnt.o evxfregn.o hwacpi.o hwgpe.o hwregs.o \
+		   hwsleep.o hwtimer.o dsfield.o dsinit.o dsmethod.o \
+		   dsmthdat.o dsobject.o dsopcode.o dsutils.o dswexec.o \
+		   dswload.o dswscope.o dswstate.o exconfig.o exconvrt.o \
+		   excreate.o exdump.o exfield.o exfldio.o exmisc.o \
+		   exmutex.o exnames.o exoparg1.o exoparg2.o exoparg3.o \
+		   exoparg6.o exprep.o exregion.o exresnte.o exresolv.o \
+		   exresop.o exstore.o exstoren.o exstorob.o exsystem.o \
+		   exutils.o psargs.o psopcode.o psparse.o psscope.o \
+		   pstree.o psutils.o pswalk.o psxface.o nsaccess.o \
+		   nsalloc.o nsdump.o nsdumpdv.o nseval.o nsinit.o \
+		   nsload.o nsnames.o nsobject.o nsparse.o nssearch.o \
+		   nsutils.o nswalk.o nsxfeval.o nsxfname.o nsxfobj.o \
+		   rsaddr.o rscalc.o rscreate.o rsdump.o \
 		   rsinfo.o rsio.o rsirq.o rslist.o rsmemory.o rsmisc.o \
-		   rsserial.o rsutils.o rsxface.o \
-		   \
-		   tbdata.o tbfadt.o tbfind.o tbinstal.o tbprint.o tbutils.o \
-		   tbxface.o tbxfload.o tbxfroot.o \
-		   \
-		   utaddress.o utalloc.o utascii.o utbuffer.o utcache.o \
-		   utclib.o utcopy.o utdebug.o utdecode.o utdelete.o \
-		   uterror.o uteval.o utexcep.o utglobal.o uthex.o utids.o \
-		   utinit.o utlock.o utmath.o utmisc.o utmutex.o utnonansi.o \
-		   utobject.o utosi.o utownerid.o utpredef.o utprint.o \
-		   utresrc.o utstate.o utstring.o uttrack.o utuuid.o utxface.o \
-		   utxferror.o utxfinit.o utxfmutex.o \
-		   \
-		   acpi_enum.o acpica_ec.o acpica.o ahids.o master_ops.o \
-		   osl_ml.o osl.o
+		   rsutils.o rsxface.o tbfadt.o tbfind.o tbinstal.o  \
+		   tbutils.o tbxface.o tbxfroot.o \
+		   utalloc.o utclib.o utcopy.o utdebug.o utdelete.o \
+		   uteval.o utglobal.o utinit.o utmath.o utmisc.o \
+		   utobject.o utresrc.o utxface.o acpica.o acpi_enum.o \
+		   master_ops.o osl.o osl_ml.o acpica_ec.o utcache.o \
+		   utmutex.o utstate.o dmbuffer.o dmnames.o dmobject.o \
+		   dmopcode.o dmresrc.o dmresrcl.o dmresrcs.o dmutils.o \
+		   dmwalk.o psloop.o nspredef.o hwxface.o hwvalid.o \
+		   utlock.o utids.o nsrepair.o nsrepair2.o \
+		   dbmethod.o dbnames.o dsargs.o dscontrol.o dswload2.o \
+		   evglock.o evgpeinit.o evgpeutil.o evxfgpe.o exdebug.o \
+		   hwpci.o utdecode.o utosi.o utxferror.o
 
 
 AGP_OBJS += agpmaster.o
